ata_gen_ata_sense
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_gen_ata_sense — generate a SCSI fixed sense block

## Synopsis

`void ata_gen_ata_sense (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Command that we are erroring out

## Description

Generate sense block for a failed ATA command `qc`. Descriptor format is used to accomodate LBA48 block address.

## LOCKING

None.

Prev | Up | Next
ata_to_sense_error | Home | ata_scsi_start_stop_xlat